Get a crypto deposit-account quote
curl --request POST \
--url https://api.privy.io/v1/deposit_accounts/crypto/quote \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"source": {
"chain": "ethereum",
"asset": "eth"
},
"destination": {
"chain": "base",
"asset": "usdc"
},
"input_amount": "0.02",
"slippage_bps": 50
}
'HttpResponse<String> response = Unirest.post("https://api.privy.io/v1/deposit_accounts/crypto/quote")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"source\": {\n \"chain\": \"ethereum\",\n \"asset\": \"eth\"\n },\n \"destination\": {\n \"chain\": \"base\",\n \"asset\": \"usdc\"\n },\n \"input_amount\": \"0.02\",\n \"slippage_bps\": 50\n}")
.asString();const options = {
method: 'POST',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
source: {chain: 'ethereum', asset: 'eth'},
destination: {chain: 'base', asset: 'usdc'},
input_amount: '0.02',
slippage_bps: 50
})
};
fetch('https://api.privy.io/v1/deposit_accounts/crypto/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/deposit_accounts/crypto/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => [
'chain' => 'ethereum',
'asset' => 'eth'
],
'destination' => [
'chain' => 'base',
'asset' => 'usdc'
],
'input_amount' => '0.02',
'slippage_bps' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/deposit_accounts/crypto/quote"
payload := strings.NewReader("{\n \"source\": {\n \"chain\": \"ethereum\",\n \"asset\": \"eth\"\n },\n \"destination\": {\n \"chain\": \"base\",\n \"asset\": \"usdc\"\n },\n \"input_amount\": \"0.02\",\n \"slippage_bps\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"input_amount": "0.02",
"estimated_output_amount": "49.5",
"created_at": "2026-09-01T12:00:00.000Z"
}Crypto
Quote crypto deposit account
Return an indicative quote for a crypto deposit route without creating a wallet.
POST
/
v1
/
deposit_accounts
/
crypto
/
quote
Get a crypto deposit-account quote
curl --request POST \
--url https://api.privy.io/v1/deposit_accounts/crypto/quote \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"source": {
"chain": "ethereum",
"asset": "eth"
},
"destination": {
"chain": "base",
"asset": "usdc"
},
"input_amount": "0.02",
"slippage_bps": 50
}
'HttpResponse<String> response = Unirest.post("https://api.privy.io/v1/deposit_accounts/crypto/quote")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"source\": {\n \"chain\": \"ethereum\",\n \"asset\": \"eth\"\n },\n \"destination\": {\n \"chain\": \"base\",\n \"asset\": \"usdc\"\n },\n \"input_amount\": \"0.02\",\n \"slippage_bps\": 50\n}")
.asString();const options = {
method: 'POST',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
source: {chain: 'ethereum', asset: 'eth'},
destination: {chain: 'base', asset: 'usdc'},
input_amount: '0.02',
slippage_bps: 50
})
};
fetch('https://api.privy.io/v1/deposit_accounts/crypto/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/deposit_accounts/crypto/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => [
'chain' => 'ethereum',
'asset' => 'eth'
],
'destination' => [
'chain' => 'base',
'asset' => 'usdc'
],
'input_amount' => '0.02',
'slippage_bps' => 50
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/deposit_accounts/crypto/quote"
payload := strings.NewReader("{\n \"source\": {\n \"chain\": \"ethereum\",\n \"asset\": \"eth\"\n },\n \"destination\": {\n \"chain\": \"base\",\n \"asset\": \"usdc\"\n },\n \"input_amount\": \"0.02\",\n \"slippage_bps\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"input_amount": "0.02",
"estimated_output_amount": "49.5",
"created_at": "2026-09-01T12:00:00.000Z"
}Omit
input_amount to quote approximately $50 of the source asset. Source and destination must both be mainnet or both be testnet. Quotes do not require a wallet ID or an authorization signature.Authorizations
Body
application/json
Request body for an indicative crypto deposit-account route quote.
Amount as a decimal string in the source token's standard unit (e.g. "1.5" for 1.5 USDC, "0.01" for 0.01 ETH). Not in the smallest on-chain unit (wei, lamports, etc.). Omit to quote a nominal ~$50 USD worth of the source asset.
Maximum string length:
100Pattern:
^(?=.*[1-9])(?:0|[1-9]\d*)(?:\.\d+)?$Example:
"1.5"
Response
200 - application/json
An indicative quote in token standard units.
An indicative crypto deposit-account quote. Amounts are in token standard units.
Was this page helpful?

